Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs
Class InterpolationMethod

    java.lang.Object
      org.deegree.ogcwebservices.wcs.InterpolationMethod

    public class InterpolationMethod

extends Object

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`static String` | `BARYCENTRIC`
`static String` | `BILINEAR`
`static String` | `LOST_AREA`
`static String` | `NEAREST_NEIGHBOR`
`static String` | `NONE`
`String` | `value`

Constructor Summary
`InterpolationMethod()` default = NEAREST_NEIGHBOR
`InterpolationMethod(String value)`

Method Summary
`boolean` | `equals(Object object)` Compares the specified object with this enum for equality.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEAREST_NEIGHBOR

    public static final String NEAREST_NEIGHBOR

See Also:
  Constant Field Values

### BILINEAR

    public static final String BILINEAR

See Also:
  Constant Field Values

### LOST_AREA

    public static final String LOST_AREA

See Also:
  Constant Field Values

### BARYCENTRIC

    public static final String BARYCENTRIC

See Also:
  Constant Field Values

### NONE

    public static final String NONE

See Also:
  Constant Field Values

### value

    public String value

Constructor Detail

### InterpolationMethod

    public InterpolationMethod()

  default = NEAREST_NEIGHBOR

### InterpolationMethod

    public InterpolationMethod(String value)

Parameters:
  `value` -

Method Detail

### equals

    public boolean equals(Object object)

  Compares the specified object with this enum for equality.

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org